The Patch Adobe Flash Player failed during the download in CA Patch Manager(UPM).

Document ID : KB000047258
Last Modified Date : 14/02/2018
Show Technical Document Details

 Symptoms:    

In CIC.log the below entries are seen:

[Dloader-8] ERROR [com.ca.unicenter.upm.dlm.DLoader] -

Patch: install_flash_player_21_plugin.exe {ef74594d-2ce0-4a74-9208-2a15069cfc0e}

failed with exception detail: peer not authenticated


Environment: 

CA Client Automation - All Versions

CA Patch Manager - All Versions

 

Cause:

An incorrect version of JRE

In this example JRE 5.0 located in ....\CA\SC\CIC\JRE prevented the download of the Adobe patch sending

the SSL request using SSLv2 protocol which is obsolete.

 

Resolution:

In this example we used JRE 7.0 and the below steps have been applied to fix the issue.

 

·       Stop ContentDownload        “Shutdown ContentDownload Manager”

·       Rename the directory  -  ..\CA\SC\CIC\JRE as ...\CA\SC\CIC\JRE5.0

·       Downloaded JRE 7.0 and copy the content to ....\CA\SC\CIC\JRE

·       Restart ContentDownload 

 

The patch can be downloaded properly now


Additional Information:

The most recent versions  of Java can be downloaded here

http://www.oracle.com/technetwork/java/javase/downloads/index.html

As always, please contact CA Technologies support for CA Client Automation if you have further questions.